﻿using System;
using System.Windows.Input;

namespace Binding_10
{
    public class ChangeCommand : ICommand
    {
        public void Execute(object parameter)
        {
            Person person = (Person)parameter;

            person.Vorname = person.Vorname.ToUpper();
            person.Nachname = person.Nachname.ToUpper();
        }

        public bool CanExecute(object parameter)
        {
            Person person = (Person)parameter;
            return (person != null &&
                    !string.IsNullOrWhiteSpace(person.Nachname) &&
                    !string.IsNullOrWhiteSpace(person.Vorname));
        }

        public event EventHandler CanExecuteChanged
        {
            add { CommandManager.RequerySuggested += value; }
            remove { CommandManager.RequerySuggested -= value; }
        }
    }
}
