﻿using System;
using System.Windows;
using System.Windows.Input;

namespace Binding_11
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new Person()
            {
                Vorname = "Hans",
                Nachname = "Muster",
                Geburtsdatum = new DateTime(1990, 01, 01)
            };
        }

        private void ExecutedChangeCommand(object sender, ExecutedRoutedEventArgs e)
        {
            Person person = (Person)this.DataContext;

            person.Vorname = person.Vorname.ToUpper();
            person.Nachname = person.Nachname.ToUpper();
        }

        private void CanExecuteChangeCommand(object sender, CanExecuteRoutedEventArgs e)
        {
            Person person = (Person)this.DataContext;
            e.CanExecute = person != null &&
                    !string.IsNullOrWhiteSpace(person.Nachname) &&
                    !string.IsNullOrWhiteSpace(person.Vorname);
        }

        private void OnClose(object sender, ExecutedRoutedEventArgs e)
        {
            Application.Current.Shutdown();
        }

        private void OnCanClose(object sender, CanExecuteRoutedEventArgs e)
        {
            e.CanExecute = true;
        }
    }
}
