﻿using System;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Windows.Input;

namespace Binding_11
{
    public class Person : INotifyPropertyChanged
    {
        public static RoutedUICommand ChangeCommand { get; }
            = new RoutedUICommand(
                "Ändern in Großbuchstaben",
                "Change",
                typeof(Person),
                new InputGestureCollection()
                {
                      new MouseGesture(MouseAction.RightClick, ModifierKeys.Alt)
                });

        public event PropertyChangedEventHandler PropertyChanged;
        private void SetProperty([CallerMemberName] string propertyName = null)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        public string Vorname
        {
            get { return vorname; }
            set { vorname = value; SetProperty(); }
        }

        public string Nachname
        {
            get { return nachname; }
            set { nachname = value; SetProperty(); }
        }

        public DateTime Geburtsdatum
        {
            get { return geburtsdatum; }
            set { geburtsdatum = value; SetProperty(); }
        }

        private string vorname;
        private string nachname;
        private DateTime geburtsdatum;
    }
}
