﻿using System;
using System.Collections.ObjectModel;
using System.Windows;

namespace Binding_5
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.InitializeComponent();

            var personen = new ObservableCollection<Person>();
            personen.Add(new Person()
            {
                Vorname = "Hans",
                Nachname = "Muster",
                Geburtsdatum = new DateTime(1990, 01, 01)
            });
            personen.Add(new Person()
            {
                Vorname = "Max",
                Nachname = "Meier",
                Geburtsdatum = new DateTime(1995, 10, 18)
            });
            personen.Add(new Person()
            {
                Vorname = "Berta",
                Nachname = "Lustig",
                Geburtsdatum = new DateTime(1982, 12, 22)
            });

            personenListe.DataContext = personen;
        }

        private void OnDeleteItem(object sender, RoutedEventArgs e)
        {
            if (personenListe.SelectedItem != null &&
                personenListe.SelectedItem is Person)
            {
                var personen = (ObservableCollection<Person>)personenListe.DataContext;
                personen.Remove((Person)personenListe.SelectedItem);
            }
        }
    }

    public class Person
    {
        public string Vorname { get; set; }
        public string Nachname { get; set; }
        public DateTime Geburtsdatum { get; set; }
    }
}
