﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace Binding_6
{
    /// <summary>
    /// Interaktionslogik für "App.xaml"
    /// </summary>
    public partial class App : Application
    {
        public App()
        {
            PresentationTraceSources.DataBindingSource.Switch.Level = SourceLevels.Error | SourceLevels.Warning;
            PresentationTraceSources.DataBindingSource.Listeners.Add(new ConsoleTraceListener());
            PresentationTraceSources.DataBindingSource.Listeners.Add(new TextBoxTraceListener());

            // Standard-TraceListener DefaultTraceListener löschen
            //
            //var listeners = PresentationTraceSources.DataBindingSource.Listeners;
            //for (int i = 0; i < listeners.Count; i++)
            //{
            //    TraceListener listener = listeners[i];

            //    if (listener is DefaultTraceListener)
            //        PresentationTraceSources.DataBindingSource.Listeners.Remove(listener);
            //}
        }
    }

    public class TextBoxTraceListener : TraceListener
    {
        private TextBox textBox;

        public TextBoxTraceListener()
        {
            textBox = new TextBox()
            {
                TextWrapping = TextWrapping.Wrap
            };

            var window = new Window
            {
                Content = new ScrollViewer()
                {
                    HorizontalScrollBarVisibility = ScrollBarVisibility.Auto,
                    VerticalScrollBarVisibility = ScrollBarVisibility.Auto,
                    Content = textBox
                }
            };
            window.Show();
        }
        public override void Write(string message)
        {
            textBox.Text += message;
        }

        public override void WriteLine(string message)
        {
            textBox.Text += message + "\n";
        }
    }
}
