﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Controls_1
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            MouseMove += OnMouseMove;
            MouseLeftButtonDown += OnMouseLeftButtonDown;
            MouseLeftButtonUp += OnMouseLeftButtonUp;
        }

        void OnMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            CaptureMouse();
            Status.Text = "Maus eingefangen";
        }

        private void OnMouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            ReleaseMouseCapture();
            Status.Text = "";
        }

        void OnMouseMove(object sender, MouseEventArgs e)
        {
            Point point = e.GetPosition(this);
            MouseCoordinatesOnWindow.Text = $"x ={point.X,8:0.00}, y ={point.Y,8:0.00}";

            point = PointToScreen(point);
            MouseCoordinatesOnScreen.Text = $"x ={point.X,8:0.00}, y ={point.Y,8:0.00}";
        }
    }
}
