﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Resources;

namespace Controls_4
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Loaded += OnWindowLoaded;
        }

        void OnWindowLoaded(object sender, RoutedEventArgs e)
        {
            StackPanel panel = (StackPanel)this.Content;

            Button button = (Button)panel.Children[0];
            button.Tag = Cursors.IBeam;

            button = (Button)panel.Children[1];
            button.Tag = Cursors.AppStarting;

            button = (Button)panel.Children[2];
            var uri = new Uri("Assets/Heart.cur", UriKind.Relative);
            StreamResourceInfo resourceInfo = Application.GetResourceStream(uri);
            button.Tag = new Cursor(resourceInfo.Stream);
        }

        void OnChangeCursor(object sender, RoutedEventArgs e)
        {
            Button button = (Button)sender;
            Cursor cursor = (Cursor)button.Tag;
            button.Tag = button.Cursor;
            button.Cursor = cursor;
        }
    }
}
