﻿using System;
using System.IO;
using System.Threading.Tasks;
using System.Windows;

namespace Controls_6
{
    /// <summary>
    /// Interaktionslogik für "App.xaml"
    /// </summary>
    public partial class App : Application
    {
        public App()
        {
            SplashScreen screen = new SplashScreen("Images/Splash.png");
            screen.Show(false, true);
            screen.Close(TimeSpan.FromSeconds(2.0));
        }

        protected override void OnStartup(StartupEventArgs e)
        {
            Properties.Add("StartTime", DateTime.Now);

            if (File.Exists("properties.txt"))
            {
                string line = File.ReadAllText("properties.txt");
                if (line.Length > 0)
                    Properties.Add("LastStartTime", line);
            }
        }
        protected override void OnExit(ExitEventArgs e)
        {
            DateTime startTime = (DateTime)Properties["StartTime"];
            File.WriteAllText("properties.txt", $"{startTime}");
        }
    }
}
