﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Shapes;

namespace Layout_3
{
    public partial class MainWindow : Window
    {
        Cursor _cursor;
        double _x1, _x2, _y1, _y2;
        Shape _shape;

        public MainWindow()
        {
            InitializeComponent();

            _cursor = Application.Current.MainWindow.Cursor;
        }


        private void OnPressed(object sender, MouseButtonEventArgs e)
        {
            Application.Current.MainWindow.Cursor = Cursors.Cross;

            _x1 = e.GetPosition(canvas).X;
            _y1 = e.GetPosition(canvas).Y;
            _x2 = _x1;
            _y2 = _y1;

            _shape = (Shape)new Ellipse();

            _shape.Width = _x2 - _x1;
            _shape.Height = _y2 - _y1;
            _shape.StrokeThickness = 3;
            _shape.Stroke = Brushes.Blue;
            _shape.Fill = Brushes.Red;

            canvas.Children.Add(_shape);
        }

        private void OnMoved(object sender, MouseEventArgs e)
        {
            if (_shape == null)
                return;

            _x2 = e.GetPosition(canvas).X;
            _y2 = e.GetPosition(canvas).Y;

            Canvas.SetLeft(_shape, (_x2 > _x1 ? _x1 : _x2));
            Canvas.SetTop(_shape, (_y2 > _y1 ? _y1 : _y2));

            _shape.Width = Math.Abs(_x2 - _x1);
            _shape.Height = Math.Abs(_y2 - _y1);
        }

        private void OnReleased(object sender, MouseButtonEventArgs e)
        {
            Application.Current.MainWindow.Cursor = _cursor;
            _shape = null;
        }
    }
}
