﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace Layout_5
{
    public partial class MainWindow : Window
    {
        enum RGB { R, G, B };

        public MainWindow()
        {
            InitializeComponent();

            foreach (var hue in Enum.GetValues(typeof(RGB)))
            {
                CreateColorItems((RGB)hue);
            }
        }

        private void CreateColorItems(RGB rgb)
        {
            byte r = 0, g = 0, b = 0, a = 0xff;
            for (byte value = 255; value > 0; value--)
            {
                if (rgb == RGB.R)
                    r = value;
                if (rgb == RGB.G)
                    g = value;
                if (rgb == RGB.B)
                    b = value;

                var color = Color.FromArgb(a, r, g, b);
                var button = new Button()
                {
                    ToolTip = $"#{a,2:x2}{r,2:x2}{g,2:x2}{b,2:x2}",
                    Background = new SolidColorBrush(color),
                    BorderThickness = new Thickness(0.0),
                    Height = 25,
                    Width = 25
                };
                button.Click += OnChangeColor;
                panel.Children.Add(button);
            }
        }

        private void OnChangeColor(object sender, RoutedEventArgs e)
        {
            Button button = (Button)sender;

            previewColor.Fill = button.Background;
        }
    }
}
