﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Navigation;

namespace Navigation_5
{
    public partial class PictureGalleryPage : Page
    {
        public PictureGalleryPage() : this(null)
        {
        }

        public PictureGalleryPage(string pathDirectory)
        {
            InitializeComponent();

            pathDirectory = pathDirectory ?? Environment.GetLogicalDrives()[0];
            WindowTitle = pathDirectory;
            Title = pathDirectory;

            var pictureList = new PictureList(pathDirectory);
            if (pictureList.Count == 0)
            {
                Content = new TextBlock()
                {
                    Text = "keine Bilddateien gefunden",
                    HorizontalAlignment = HorizontalAlignment.Center,
                    VerticalAlignment = VerticalAlignment.Center
                };
                return;
            }

            gallery.ItemsSource = pictureList;
        }

        private void OnDetails(object sender, MouseButtonEventArgs e)
        {
            Picture picture = (Picture)gallery.SelectedItem;

            if (picture.FileType == null)    // Ordner
            {
                var page = new PictureGalleryPage(picture.Path);
                NavigationService.Navigate(page);
            }
        }
    }
}
