﻿using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SimpleControls_5
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            stretchMode.ItemsSource = Enum.GetNames(typeof(Stretch));
            stretchMode.SelectedIndex = 0;
        }

        private void OnSelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            var stretch = (Stretch)Enum.Parse(typeof(Stretch),
                          (string)stretchMode.SelectedValue);
            image.Stretch = stretch;
        }

        private void OnOpenFile(object sender, RoutedEventArgs e)
        {
            OpenFileDialog dialog = new OpenFileDialog();

            dialog.InitialDirectory = Environment.GetFolderPath(
                                            Environment.SpecialFolder.CommonPictures);
            dialog.Filter = "Bilddateien|*.bmp;*.png;*.jpg;*.jpeg";

            if (dialog.ShowDialog(this) == true)
            {
                Uri uri = new Uri(dialog.FileName);

                BitmapImage bitmap = new BitmapImage(uri);
                image.Source = bitmap;
            }
        }
    }
}
